state style_ct2c
{
  BEGIN {
    call(default_faces);
    
    /*
     * ct2c FACES creation
     */
    face_macro = 			make_face (bold_font, 1, 0);
    face_const = 			make_face (bold_font, 1, 0);
    
    /*
     * Allready defined colors: 
     * define_color ("black",			0, 0, 0);
     * define_color ("gray25",			64, 64, 64);
     * define_color ("gray50",			127, 127, 127);
     * define_color ("gray75",			191, 191, 191);
     * define_color ("gray85",			217, 217, 217);
     * define_color ("gray90",			229, 229, 229);
     * define_color ("gray95",			242, 242, 242);
     * define_color ("blue",			0, 0, 255);
     * define_color ("cadet blue",		95, 158, 160);
     * define_color ("dark goldenrod",		184, 134, 11);
     * define_color ("dark olive green",	85, 107, 47);
     * define_color ("firebrick",		178, 34, 34);
     * define_color ("forest green",		34, 139, 34);
     * define_color ("green",			0, 255, 0);
     * define_color ("orchid",			218, 112, 214);
     * define_color ("purple",			160, 32, 240);
     * define_color ("red",			255, 0, 0);
     * define_color ("rosy brown",		188, 143, 143);
     * 
     * define_color ("DarkSeaGreen",		143, 188, 143);
     * define_color ("DarkSeaGreen1",		193, 255, 193);
     * define_color ("DarkSeaGreen2",		180, 238, 180);
     * define_color ("DarkSeaGreen3",		155, 205, 155);
     * define_color ("DarkSeaGreen4",		105, 139, 105);
     * define_color ("Goldenrod",		237, 218, 116);
     * define_color ("Aquamarine",		67, 183, 186);
     * define_color ("SeaGreen2",		100, 233, 134);
     * define_color ("Coral",			247, 101,  65);
     * define_color ("DarkSlateGray1",		154, 254, 255);
     * define_color ("LightGrey",		211, 211, 211);
     */

    /*
     * If you need to define more colors you can do it like this:
     * define_color ("red", 		255, 0, 0);
     * define_color ("green", 		0, 255, 0);
     * define_color ("blue", 		0, 0, 255);
     */
    
    if (color)
      {
	/* Set colors. */
	face_bold[fg_color] =		language_color("black");
	face_italic[fg_color] =		language_color("black");
	face_bold_italic[fg_color] =	language_color("black");
	face_comment[fg_color] =	language_color("firebrick");
	face_function_name[fg_color] =	language_color("blue");
	face_variable_name[fg_color] =	language_color("dark goldenrod");
	face_keyword[fg_color] =	language_color("purple");
	face_reference[fg_color] =	language_color("cadet blue");
	face_string[fg_color] =		language_color("rosy brown");
	face_builtin[fg_color] =	language_color("orchid");
	face_type[fg_color] =		language_color("forest green");
	face_highlight[bg_color] =	language_color("DarkSeaGreen2");

	/*ct2c FACES*/
	face_macro[fg_color] = 		language_color("blue");
	face_const[fg_color] = 		language_color("gray50");	
      }
    else
      {
	face_highlight[bg_color] =	language_color("LightGrey");
      }

    /* And thats it. */
    return;
  }
}


/*
Local variables:
mode: c
End:
*/
