#!/usr/bin/perl
use warnings;
use strict;

my $TAB = ";\t\t";

my $current_line;
my $patch_line;
my $lib;
my $interface;

#
# Checkin the parameters
#
($ARGV[0] and $ARGV[1] and not $ARGV[2]) or die "The program must have 2 argument from the command line $!\n";

#
# Opening files to read and write (append)
#
open FILE, $ARGV[0] or die "Couldn't open the file: \"$ARGV[0]\" for reading	:$!\n";
open PATCH, $ARGV[1] or die "Couldn't open the file: \"$ARGV[1]\" for reading	:$!\n"; 
open OUT, ">$ARGV[0].tmp" or die "Couldn't open the file: \"$ARGV[0].tmp\" for writing	:$!\n";

$lib = <PATCH>;
$interface = <PATCH>;
$lib =~ s/\s//g;
$interface =~ s/\s//g;

while ($current_line = <FILE>)
{
    if ($current_line =~ /^$lib$TAB$interface$TAB/)
    {
	$patch_line = <PATCH>;	
	if (!defined $patch_line)
	{
	    $patch_line = "NO_ENTRY_IN_PATCH_FILE";
	}
	$patch_line =~ s/\s//g;
	$current_line =~ s/$interface/$patch_line/;	
    }
    print OUT $current_line;
}

